### Function

# Gimp cmyka_set_uchar

#### Declaration [src]

    void
    gimp_cmyka_set_uchar (
      GimpCMYK* cmyka,
      guchar cyan,
      guchar magenta,
      guchar yellow,
      guchar black,
      guchar alpha
    )

#### Description [src]

The same as gimp_cmyka_set(), except that channel values are unsigned chars in the range 0 to 255.

#### Parameters

`cmyka`

  Type: `GimpCMYK`

  A `GimpCMYK` structure which will hold the specified CMYKA value.

  The data is owned by the caller of the function.

`cyan`

  Type: `guchar`

  The Cyan channel of the CMYK value.

`magenta`

  Type: `guchar`

  The Magenta channel.

`yellow`

  Type: `guchar`

  The Yellow channel.

`black`

  Type: `guchar`

  The blacK channel.

`alpha`

  Type: `guchar`

  The Alpha channel.